package sklep.controller;

import java.util.List;
import java.util.Optional;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;

import sklep.model.Product;
import sklep.repository.ProductRepository;

@Controller
public class ProductController {
	@Autowired
	private ProductRepository productRepository;
	
	@GetMapping("/products")
	public String readAll(Model model) {
		List<Product> products = productRepository.findAll();
		model.addAttribute("products", products);
		return "products.jsp";
	}
	
	@GetMapping("/products/{numer}")
	public String readOne(Model model, @PathVariable Integer numer) {
		Optional<Product> product = productRepository.findById(numer);
		
		if(product.isPresent()) {
			model.addAttribute("product", product.get());
			return "/product.jsp";
		} else {
			model.addAttribute("product_id", numer);
			return "/missing_product.jsp";
		}
	}

}
